# get

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/versions/:tag|"current"|"next"
```

## Path parameters

| Parameter        |                                                                                                                                                                                                                                 |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](https://docs.redivis.com/api/referencing-resources) for more information.                                                                                     |
| tag              | <p>The version's tag, of the form <code>v1.0</code></p><p></p><p>Alternatively, you may specify <code>current</code> or <code>next</code> , which will return the current (latest) or next (pending) version, respectively.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](https://docs.redivis.com/api/rest-api/general-structure).
{% endhint %}

## Authorization

You must have overview access to the versions' dataset. If a dataset's overview is not public, your access token must have one of the following scopes:

* data.overview
* data.metadata
* data.data
* data.edit

In order to see unreleased versions, you must have edit access to the dataset, and you token must have the following scope:

* data.edit

[Learn more about authorization.](https://docs.redivis.com/api/rest-api/authorization)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of a [version.get resource](https://docs.redivis.com/api/resource-definitions/version).

## Examples

{% tabs %}
{% tab title="undefined" %}

{% endtab %}
{% endtabs %}
